## ros-kinetic-igvc-self-drive-description 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(igvc_self_drive_description)

find_package(catkin REQUIRED)

# Extract meshes folder
execute_process(
  COMMAND ${CMAKE_COMMAND} -E tar xzf meshes.tar.gz
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

catkin_package()

### Install Rules
install(
  DIRECTORY
    meshes
    urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN *.tar.gz EXCLUDE
)

=== debian/changelog ===
ros-kinetic-igvc-self-drive-description (0.1.4-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-description (0.1.3-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-description (0.1.2-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-description (0.1.1-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 06 Oct 2018 04:00:00 -0000

ros-kinetic-igvc-self-drive-description (0.1.0-1xenial) xenial; urgency=high

  * Migrated existing simulator into new repository
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 29 Sep 2018 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-igvc-self-drive-description
Section: misc
Priority: extra
Maintainer: Micho Radovnikovich <mtradovn@oakland.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-igvc-self-drive-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-hector-gazebo-plugins, ros-kinetic-urdf, ros-kinetic-xacro
Description: Meshes and URDF descriptions for Gem vehicle

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-igvc-self-drive-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
